Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.display
Class GroupController

    java.lang.Object
      |
      +--quicktime.app.actions.MouseController
            |
            +--quicktime.app.display.GroupController

All Implemented Interfaces:
  Collection, Controller, java.util.EventListener, Listener, ListenerController, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Deprecated. since QTJava 4.0

public class GroupController
extends MouseController

This controller provides specific semantics for mouse control that deal specifically with GroupDrawable objects.

It implements the getSelected method to return the fronmost QTDrawable object at the location of the mouse event.

See Also:
  `QTMouseController`

Fields inherited from class quicktime.app.actions.MouseController
`xLocationOffset, yLocationOffset`

Constructor Summary
`GroupController(MouseResponder mr, boolean wholeSpace)` Deprecated. Constructs a GroupController with a MouseResponder that will respond to the mouse events of the controller.

Method Summary
`protected void` | `deactivateResponder()` Deprecated. A method that is called whenever the MouseController deactivates its responder.
`protected java.lang.Object` | `getSelected(java.awt.event.MouseEvent event)` Deprecated. This method is called when a GroupController has received a mouse event in its space.
`Space` | `getSpace()` Deprecated. Returns the current GroupDrawable space that the controller is controlling.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Deprecated. Drag the target QTDrawable that is effected by the delegated MouseResponder.
`protected void` | `responderActivated()` Deprecated. A notification method that is called whenever the MouseController activates its responder.
`protected void` | `setTargetSpace(Space target)` Deprecated. Set the target space.

Methods inherited from class quicktime.app.actions.MouseController
`addedTo, addedToSpace, addMember, doDragTarget, getResponder, hasMember, isAppropriate, isEmpty, isWholespace, members, mouseClicked, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, removedFrom, removedFromSpace, removeMember, setTranslation, setWholespace, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupController

    public GroupController(MouseResponder mr,
                           boolean wholeSpace)

  Deprecated.
  Constructs a GroupController with a MouseResponder that will respond to the mouse events of the controller.
  Parameters:
    `mr` - the mouse responder that will respond to mouse events
    `wholespace` - if true all objects in the group come under control of the controller, if false group members must be specifically added to the group

Method Detail

### getSpace

    public Space getSpace()

  Deprecated.
  Returns the current GroupDrawable space that the controller is controlling.
  Overrides:
    `getSpace` in class `MouseController`
  Returns:
    the current space

### setTargetSpace

    protected void setTargetSpace(Space target)

  Deprecated.
  Set the target space. If the target object is not a GroupDrawable a ClassCastException is thrown.
  Overrides:
    `setTargetSpace` in class `MouseController`
  Parameters:
    `target` - the new GroupDrawable space for the controller.

### getSelected

    protected java.lang.Object getSelected(java.awt.event.MouseEvent event)
                                    throws QTException

  Deprecated.
  This method is called when a GroupController has received a mouse event in its space. This method returns the frontmost QTDrawable object at the event's location if it finds such an object at the location of the event.
  Overrides:
    `getSelected` in class `MouseController`
  Parameters:
    `event` - a mouse down event
  Returns:
    a QTDrawable object that is located at the event coordinates or null

### deactivateResponder

    protected void deactivateResponder()

  Deprecated.
  A method that is called whenever the MouseController deactivates its responder. A subclass should use this method to deactivate a responder (either explicitly or calling super.deactivateResponder). For example a user may have dragged a member out of a group, so the drag action's target is no longer valid and the Responder has no target to act upon.
  Overrides:
    `deactivateResponder` in class `MouseController`

### responderActivated

    protected void responderActivated()

  Deprecated.
  A notification method that is called whenever the MouseController activates its responder.
  Overrides:
    `responderActivated` in class `MouseController`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Deprecated.
  Drag the target QTDrawable that is effected by the delegated MouseResponder. This method ensures that the display logic of the GroupDrawable is kept updated due to any changes in the display characteristics of a mouseDragged event.
  Overrides:
    `mouseDragged` in class `MouseController`
  Parameters:
    `e` - the mouse event that triggered the drag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD